Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Děkujeme všem návštěvníkům fóra, kteří ochotně radí ostatním. Vaše práce je velmi potřebná a vážíme si jí.

Autor Téma: Problém s 3D akcelerací  (Přečteno 3483 krát)

1982Petula

  • Návštěvník
  • *
  • Příspěvků: 3
  • Karma: +0/-0
    • Zobrazit profil
Problém s 3D akcelerací
« kdy: 29 Září 2013, 21:57:25 »
Jelikož jsem linuxový začátečník, potřebuji poradit a odpověď na můj problém jsem ani na fóru ani na wiki nenašla.
Takže můj počítač Acer Aspire One D270
Kód: [Vybrat]
petra@petra-AOD270:~$ lspci
00:00.0 Host bridge: Intel Corporation Atom Processor D2xxx/N2xxx DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D2xxx/N2xxx Integrated Graphics Controller (rev 09)
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 3 (rev 02)
00:1d.0 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB controller: Intel Corporation NM10/ICH7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation NM10/ICH7 Family SATA Controller [AHCI mode] (rev 02)
00:1f.3 SMBus: Intel Corporation NM10/ICH7 Family SMBus Controller (rev 02)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 05)
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader (rev 01)
Kód: [Vybrat]
petra@petra-AOD270:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.2, 128 bits)
OpenGL version string:  2.1 Mesa 9.1.3

Not software rendered:    no
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       no

Problém nastal po instalaci poslední verze Ubuntu 13.04. Po uspání a následném probuzení se objeví tenké barevné vertikální čáry a je nutno PC natvrdo vypnout a znovu zapnout a celkově je grafika pomalejší. Mám grafiku Intel a podle všech návodů by to mělo fungovat, ale když to nefunguje, návod chybí. Napadlo mě, že mám třeba nainstalované ovladače jiné grafiky, ale bojím, že bych odstranila něco potřebného.

Prosím o jakoukoli radu, už se na to nemůžu koukat ;-) a moje veškerá snaha přišla v niveč.

František Zatloukal

  • Správce fóra
  • Závislák
  • *****
  • Příspěvků: 1802
  • Karma: +162/-40
    • Zobrazit profil
    • frantisek.zatloukalu.eu
Re:Problém s 3D akcelerací
« Odpověď #1 kdy: 29 Září 2013, 22:24:51 »
V tomto případě to vidím bledě  :-\. Máš tam totiž grafiku od Imagination Technologies, pro kterou nejsou dostupné linuxové ovladače. Častečně je situace lepší s Ubuntu 12.04 (32 bit), kde stačí doinstalovat balík cedarview-graphics-drivers pomocí
Kód: [Vybrat]
sudo apt-get install cedarview-graphics-driversa 3D akcelerace by měla fungovat. Netuším, proč to takhle nejde v nových vydáních Ubuntu, ale vzhledem k tomu, že mám starší integrovaný čip, pro který jsou ovladače bez problémů (stejně jako pro novější), tak jsem tohle neřešil. Bohužel máš zrovna problémovou generaci.
First they ignore you, then they laugh at you,
then they fight you, then you win.
Powered by Fedora 22 | Ubuntu 15.10

1982Petula

  • Návštěvník
  • *
  • Příspěvků: 3
  • Karma: +0/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #2 kdy: 29 Září 2013, 22:50:01 »
Tak to jsem si taky mohla myslet ;-) Každopádně děkuji za radu, asi budu muset přehodnotit 13.04, což se mi moc nechce, ale budiž ...

kapetr

  • Návštěvník
  • *
  • Příspěvků: 94
  • Karma: +9/-2
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #3 kdy: 05 Říjen 2013, 09:11:25 »
A co používat jen Unity 2D ?
Těch pár efektů s okny v compiz nestojí za problémy IMHO.

Cuore

  • Závislák
  • ****
  • Příspěvků: 2534
  • Karma: +207/-15
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #4 kdy: 05 Říjen 2013, 10:03:41 »
Unity 2D u 13.04??? poslední bylo u 12.04

kapetr

  • Návštěvník
  • *
  • Příspěvků: 94
  • Karma: +9/-2
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #5 kdy: 05 Říjen 2013, 11:03:35 »
Unity 2D u 13.04??? poslední bylo u 12.04

Já jedu na 12.04. Jestli máte s novějšími U zkušenosti, tak kolegyni poraďte - určitě musí jít Compiz nějak vypnout, ne ?

A pokud ne, tak ať přejde na LXDE, ... Nebo něco na Mint-u.

Cuore

  • Závislák
  • ****
  • Příspěvků: 2534
  • Karma: +207/-15
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #6 kdy: 05 Říjen 2013, 12:03:39 »
Compiz vypnout? Unity je plugin compizu, takže ne.

kapetr

  • Návštěvník
  • *
  • Příspěvků: 94
  • Karma: +9/-2
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #7 kdy: 05 Říjen 2013, 12:54:36 »
Compiz vypnout? Unity je plugin compizu, takže ne.

No tak to asi není moc přesné ...

Compiz je  kompozitní window manager, Unity je prostředí, jež ho využívá.
Zmiňovaný plugin bude asi doplněk pro zvýšení/doplnění jeho funkcionality, kterou Unity chce mít.

Matně si vzpomínám, že Unity 2D byl odstraněn proto, že nové Unity (nebo Compiz?) se dokázalo bez chybějících HW 3D f-cí obejít - resp je SW emulovat.
Čili - ony "zlobivé" f-ce spoléhající na HW (ovladač) by měly jít vypnout a ponechat to na SW.

Sám jsem si kdysi s nekompatibilitou Compiz své užil :-/

Takže by to chtělo odpověď od někoho, kdo do toho lépe vidí a poradí co a kde povypínat.

Cuore

  • Závislák
  • ****
  • Příspěvků: 2534
  • Karma: +207/-15
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #8 kdy: 05 Říjen 2013, 15:53:54 »
zkoušel si vypnout plugin unity v compizu? Asi ne, jinak by si takhle neplácal. Rada zazněla a to je ubuntu 12.04, nechápu co dál řešíš.

kapetr

  • Návštěvník
  • *
  • Příspěvků: 94
  • Karma: +9/-2
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #9 kdy: 06 Říjen 2013, 10:00:21 »
Buď laskavě slušný, jestli někdo plácá, tak seš to ty.
Tvé reakce jsou povrchní, nepřesné/chybné, ... a HLAVNĚ NA NIC.
Já se netajím tím, že do toho dost nevidím, jen jsem naznačil možné řešení s prosbou o radu někoho zkušenějšího.
To ty zjevně nejsi - zmůžeš se jen na silácké plky bez obsahu - tak ty si nech.

BTW - Nemluvil jsem o vypnutí pluginu, ale některých funkcí Compizu (či jeho náhradě), které mohou způsobovat problémy s danou kartou.
« Poslední změna: 06 Říjen 2013, 10:01:55 od kapetr »

Cuore

  • Závislák
  • ****
  • Příspěvků: 2534
  • Karma: +207/-15
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #10 kdy: 06 Říjen 2013, 12:06:00 »
Netuším co je neslušné na tom napsat, že plácáš, když plácáš. Kdo si přečte tvé příspěvky v tomto vlákně, tak je mu to hned jasné a místo toho, aby si toho nechal, dál jen mateš tazatelku svými teoriemi. Pokud si myslíš, že moje rady nejsou věcné, není nic jednoduššího něž tohle vlákno označit moderátorům fóra.

Tadeáš Pařík

  • Předseda občanského sdružení Ubuntu ČR a člen placené komunitní podpory
  • Administrátor fóra
  • Guru
  • ******
  • Příspěvků: 6548
  • Karma: +464/-89
    • Zobrazit profil
    • Ubuntu.cz
Re:Problém s 3D akcelerací
« Odpověď #11 kdy: 06 Říjen 2013, 12:44:37 »
Tak se uklidníme...
Do života je třeba mít připravený rozum, nebo provaz.

Ubuntu 14.04 64 bit / Windows 10 Pro - Intel DH87MC, Intel Core i7-4771, 8GB Ram, Kingston HyperX 3K SSD 120GB, Intel HD 4600 a ASUS GTX660-DC2OCPH-2GD5
Ubuntu 14.04 64bit - HP ProBook 4525s
Ubuntu 14.10 32bit - ThinkPad R52 (testování)

pariktadeas@jabbim.cz

karel_m

  • Návštěvník
  • *
  • Příspěvků: 68
  • Karma: +1/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #12 kdy: 27 Duben 2014, 00:14:52 »
Chtěl bych oživit téma - při povýšení z 12.04 na 12.10 mi totiž naskočí tato hláška:

"Váš grafický hardware plně nepodporuje prostředí 'Unity'. Po přechodu na novější verzi systému by vaše pracovní prostředí mohlo být velmi pomalé. Doporučujeme prozatím zůstat u LTS vydání. Pro více informací navštivte https://wiki.ubuntu.com/X/Bugs/UpdateManagerWarningForUnity3D Přejete si stále pokračovat v přechodu na novější verzi systému?"

Výpisy příkazů mám tyto:
1) lspci
00:00.0 Host bridge: Intel Corporation Atom Processor D2xxx/N2xxx DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D2xxx/N2xxx Integrated Graphics Controller (rev 09)

2) /usr/lib/nux/unity_support_test -p
PVRDRIInitPVR2D: PVR2D device index (0)OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)
OpenGL version string:  2.1 Mesa 8.0.4
.......
Unity 3D supported:       no


Zde doporučovaná instalace balíku cedarview-graphics-drivers skončí chybou:
E: Nelze získat zámek /var/lib/dpkg/lock - open (11: Prostředek je dočasně nepřístupný)
E: Nelze uzamknout administrační adresář (/var/lib/dpkg/). Používá jej jiný proces?

A můj dotaz zní: Mám se obávat, že po povýšení na 12.10 nenastartuji do grafického prostředí (nebo dokonce do žádného jako se to stalo někomu zde: http://forum.ubuntu.cz/index.php?topic=65177.msg464898#msg464898 ) ?

Já na vzhledu Unity netrvám, je mi celkem jedno jak to vypadá, používám stejně z 90% jen Chromium, LibreOffice, Thunderbird a VLC + prohlížeč PDF. Takže klidně by mi stačil i nějaký ten starší GNOME. Ale bojím se, že s tímhle 12.04 budu brzy bez podpory a nebudu mít dostupné bezpečnostní aktualizace a proto chci povýšit postupně alespoň na 13.04.  Přestalo mi totiž fungovat "Aktualizace - Zkontrolovat" tak doufám, že to povýšením zmizí. 

martyj

  • Závislák
  • ****
  • Příspěvků: 2276
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #13 kdy: 27 Duben 2014, 00:20:52 »
Chtěl bych oživit téma - při povýšení z 12.04 na 12.10 mi totiž naskočí tato hláška:

"Váš grafický hardware plně nepodporuje prostředí 'Unity'. Po přechodu na novější verzi systému by vaše pracovní prostředí mohlo být velmi pomalé. Doporučujeme prozatím zůstat u LTS vydání. Pro více informací navštivte https://wiki.ubuntu.com/X/Bugs/UpdateManagerWarningForUnity3D Přejete si stále pokračovat v přechodu na novější verzi systému?"

Výpisy příkazů mám tyto:
1) lspci
00:00.0 Host bridge: Intel Corporation Atom Processor D2xxx/N2xxx DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D2xxx/N2xxx Integrated Graphics Controller (rev 09)

2) /usr/lib/nux/unity_support_test -p
PVRDRIInitPVR2D: PVR2D device index (0)OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)
OpenGL version string:  2.1 Mesa 8.0.4
.......
Unity 3D supported:       no


Zde doporučovaná instalace balíku cedarview-graphics-drivers skončí chybou:
E: Nelze získat zámek /var/lib/dpkg/lock - open (11: Prostředek je dočasně nepřístupný)
E: Nelze uzamknout administrační adresář (/var/lib/dpkg/). Používá jej jiný proces?

A můj dotaz zní: Mám se obávat, že po povýšení na 12.10 nenastartuji do grafického prostředí (nebo dokonce do žádného jako se to stalo někomu zde: http://forum.ubuntu.cz/index.php?topic=65177.msg464898#msg464898 ) ?

Já na vzhledu Unity netrvám, je mi celkem jedno jak to vypadá, používám stejně z 90% jen Chromium, LibreOffice, Thunderbird a VLC + prohlížeč PDF. Takže klidně by mi stačil i nějaký ten starší GNOME. Ale bojím se, že s tímhle 12.04 budu brzy bez podpory a nebudu mít dostupné bezpečnostní aktualizace a proto chci povýšit postupně alespoň na 13.04.  Přestalo mi totiž fungovat "Aktualizace - Zkontrolovat" tak doufám, že to povýšením zmizí.

Povýšit na 12.10 nedává smysl, jelikož už se jedná o nepodporovanou verzi. 12.04 je podporováno do roku 2017, pak bych přešel na 14.04 s GNOME classic.
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy

karel_m

  • Návštěvník
  • *
  • Příspěvků: 68
  • Karma: +1/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #14 kdy: 27 Duben 2014, 01:18:37 »
to ano, ale pokud mi nevyhovuje metoda nové čisté instalace (protože nyní mám systém doplněný o řadu doplňkových programů a nechci je znovu do čisté 14.04. jednotlivě instalovat),  pak se nevyhnu postupné cestě skrze povyšování po jednotlivých krocích (12.10 - 13.04 - 13.10 - 14.04). Nebo snad jde tyto mezistupně přeskočit a povýšit rovnou na 14.04 aby mi ale přitom zůstala všechna nastavení a programy co mám nyní v 12.04? Omlouvám se, v tomto jsem neznalý. A dovolím si zopakovat i původní otázku pro mě momentálně klíčovou: Mám se obávat, že ve 12.10 mi nenastartuje X ?

martyj

  • Závislák
  • ****
  • Příspěvků: 2276
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #15 kdy: 27 Duben 2014, 01:27:11 »
to ano, ale pokud mi nevyhovuje metoda nové čisté instalace (protože nyní mám systém doplněný o řadu doplňkových programů a nechci je znovu do čisté 14.04. jednotlivě instalovat),  pak se nevyhnu postupné cestě skrze povyšování po jednotlivých krocích (12.10 - 13.04 - 13.10 - 14.04). Nebo snad jde tyto mezistupně přeskočit a povýšit rovnou na 14.04 aby mi ale přitom zůstala všechna nastavení a programy co mám nyní v 12.04? Omlouvám se, v tomto jsem neznalý. A dovolím si zopakovat i původní otázku pro mě momentálně klíčovou: Mám se obávat, že ve 12.10 mi nenastartuje X ?

Ano z 12.04 jde povýšit rovnou na 14.04, nastavení by se mělo zachovat. Ale záloha není na škodu. Když bude jakýkoliv problém, určitě ho společně vyřešíme tady na fóru.
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy

sabraq

  • Závislák
  • ****
  • Příspěvků: 3395
  • Karma: +190/-76
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #16 kdy: 27 Duben 2014, 02:04:31 »
Zde doporučovaná instalace balíku cedarview-graphics-drivers skončí chybou:
E: Nelze získat zámek /var/lib/dpkg/lock - open (11: Prostředek je dočasně nepřístupný)
E: Nelze uzamknout administrační adresář (/var/lib/dpkg/). Používá jej jiný proces?
To není chyba instalace, máš akorát otevřený okno aktualizací, nebo synaptic a k tomu sis spustil ten příkaz na instalaci pomocí apt-get. Dělej jedno, nebo druhé. Akorát nechápu, nač si chceš ten balík instalovat, když chceš povyšovat systém, stejně o něj při povýšení přijdeš.

Zůstaň na 12.04!
Athlon II X2 260,2x2GB Adata DDR3 1333,ASRock M3N78D,GF GT440,1TB Samsung F3 5400rpm,palič SH-S223F(s přeflash f/w přes Wine),tisk Sams. SCX-3200,Asus Xonar DGSB Live!5.1,Xubuntu 12.04_amd64
P4 2800 HT, 2GB DDR2 667,MB Biostar P4M900 M4 (zemřela, čest její památce), gf 8800gts, HDD 80+40 GB
Plus na jiných strojích běží 10.04 a Debian 7 Wheezy Xub. 12.04

karel_m

  • Návštěvník
  • *
  • Příspěvků: 68
  • Karma: +1/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #17 kdy: 27 Duben 2014, 08:25:23 »
citace: "Ano z 12.04 jde povýšit rovnou na 14.04"

A jak to provedu? Aktualizace mi přece nabízí jen nejbližší vyšší verzi. Znamená to vypálit si na bootovací CD nebo flash disk ISO soubor s 14.04 a rovnou z něj udělat instalaci (a při ní zvolit variantu "oprava systému" nebo jak se to tam nazývá)?

citace: "Zůstaň na 12.04!"

Asi to tak udělám. Myslel jsem, že ty  verze zastarávají a že je to něco jako mít XP... ale jestli je to pořád plnohodnotný OS tak není co řešit. Jen sem ještě dám později dotaz na ty částečně nefunkční aktualizace. Začalo to zlobit asi před půl rokem.  Jde o to že program Správce aktualizací stále funguje jako dřív (cca 2-3x týdně nabídne seznam důležitých aktualizací a já je v pořádku nainstaluji), ale nefunguje tlačítko Aktualizovat seznam - hodí to chybu. A nahoře v liště mám vykřičník s upozorněním, že Aktualizace nebyly už 200 dní aktualizovány. Přesnější popis dodám až budu na svém PC. (píši zrovna z druhého).

karel_m

  • Návštěvník
  • *
  • Příspěvků: 68
  • Karma: +1/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #18 kdy: 27 Duben 2014, 09:38:07 »

To není chyba instalace, máš akorát otevřený okno aktualizací, nebo synaptic a k tomu sis spustil ten příkaz
[/quote]

Neměl jsem nic z toho spuštěné. Podle mě je problém v nějakém záhadném vnitřním "přepísmování" oddílů. Už jsem se s tím setkal kdysi při instalaci ovladače pro tiskárnu. Když jsem terminál navedl na adresář (v / kořenovém oddíle) on také vypsal chybu - že na E: se nic takového nenachází. Nevím proč, ale hledá to na jakémsi disku E. A nevím jak mu tento defaultní výběr změnit.

Téma nefunkčních aktualizací pořeším samostatně dotazem v sekci "Pomoc s instalací a aktualizací"


martyj

  • Závislák
  • ****
  • Příspěvků: 2276
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #19 kdy: 27 Duben 2014, 12:37:59 »

To není chyba instalace, máš akorát otevřený okno aktualizací, nebo synaptic a k tomu sis spustil ten příkaz

Co tohle ? http://forum.ubuntu.cz/index.php?topic=58654.0
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy

sabraq

  • Závislák
  • ****
  • Příspěvků: 3395
  • Karma: +190/-76
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #20 kdy: 27 Duben 2014, 14:15:22 »

Neměl jsem nic z toho spuštěné. Podle mě je problém v nějakém záhadném vnitřním "přepísmování" oddílů. Už jsem se s tím setkal kdysi při instalaci ovladače pro tiskárnu. Když jsem terminál navedl na adresář (v / kořenovém oddíle) on také vypsal chybu - že na E: se nic takového nenachází. Nevím proč, ale hledá to na jakémsi disku E. A nevím jak mu tento defaultní výběr změnit.

Téma nefunkčních aktualizací pořeším samostatně dotazem v sekci "Pomoc s instalací a aktualizací"

Jo, to by bylo asi vhodnější. Operace z uvedeného odkazu výše by mohla pomoct.
Athlon II X2 260,2x2GB Adata DDR3 1333,ASRock M3N78D,GF GT440,1TB Samsung F3 5400rpm,palič SH-S223F(s přeflash f/w přes Wine),tisk Sams. SCX-3200,Asus Xonar DGSB Live!5.1,Xubuntu 12.04_amd64
P4 2800 HT, 2GB DDR2 667,MB Biostar P4M900 M4 (zemřela, čest její památce), gf 8800gts, HDD 80+40 GB
Plus na jiných strojích běží 10.04 a Debian 7 Wheezy Xub. 12.04

karel_m

  • Návštěvník
  • *
  • Příspěvků: 68
  • Karma: +1/-0
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #21 kdy: 27 Duben 2014, 22:07:48 »
Děkuji za návod jak se zbavit té chybové hlášky s oddílem"E".  Takže touto cestou bych již balík co zaktivuje 3D akceleraci zřejmě nainstaloval. Chci se ale zeptat vůbec na smysl tohoto kroku:

Pokud se rozhodnu zůstat u verze 12.04, co mi přinese zaktivnění té 3D akcelerace? Co se změní, co tím získám? Co se zhorší? Protože já vlastně vůbec nevím co si pod tím mám představit. A celé jsem to začal řešit jen proto, že to představovalo překážku pro povýšení na 12.10. a výše. Čili - k čemu to potřebuji nebo na co to využiji, zůstanu-li u 12.04? Děkuji 

martyj

  • Závislák
  • ****
  • Příspěvků: 2276
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #22 kdy: 27 Duben 2014, 22:24:25 »
Děkuji za návod jak se zbavit té chybové hlášky s oddílem"E".  Takže touto cestou bych již balík co zaktivuje 3D akceleraci zřejmě nainstaloval. Chci se ale zeptat vůbec na smysl tohoto kroku:

Pokud se rozhodnu zůstat u verze 12.04, co mi přinese zaktivnění té 3D akcelerace? Co se změní, co tím získám? Co se zhorší? Protože já vlastně vůbec nevím co si pod tím mám představit. A celé jsem to začal řešit jen proto, že to představovalo překážku pro povýšení na 12.10. a výše. Čili - k čemu to potřebuji nebo na co to využiji, zůstanu-li u 12.04? Děkuji

3D akcelerace vypadá třeba takhle : http://www.zive.cz/files/obrazky/2007/03brezen/3d/spaces4cr.jpg http://www.zive.cz/files/obrazky/2007/03brezen/3d/spaces1cr.jpg
Pro normálního uživatele naprosto nepotřebné.
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy

sabraq

  • Závislák
  • ****
  • Příspěvků: 3395
  • Karma: +190/-76
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #23 kdy: 28 Duben 2014, 00:59:51 »
Je sice pravda, že každý nepotřebuje expo (což není zrovna špatná věc), nebo točit kostkou, ale to neznamená, že je 3D akcelerace grafickou kartou k ničemu. Určitě je výhodnější využít ovladač, který ji aktivuje, než zbytečně zatěžovat procesor přes sw akceleraci (llvmpipe). OpenGL se přece nevyužívá jen na efekty, či třeba Google Earth, lze ji využít třeba i při přehrávání filmů. Opravte mě, jestli se mýlím.
Athlon II X2 260,2x2GB Adata DDR3 1333,ASRock M3N78D,GF GT440,1TB Samsung F3 5400rpm,palič SH-S223F(s přeflash f/w přes Wine),tisk Sams. SCX-3200,Asus Xonar DGSB Live!5.1,Xubuntu 12.04_amd64
P4 2800 HT, 2GB DDR2 667,MB Biostar P4M900 M4 (zemřela, čest její památce), gf 8800gts, HDD 80+40 GB
Plus na jiných strojích běží 10.04 a Debian 7 Wheezy Xub. 12.04

martyj

  • Závislák
  • ****
  • Příspěvků: 2276
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Problém s 3D akcelerací
« Odpověď #24 kdy: 28 Duben 2014, 01:13:26 »
Je sice pravda, že každý nepotřebuje expo (což není zrovna špatná věc), nebo točit kostkou, ale to neznamená, že je 3D akcelerace grafickou kartou k ničemu. Určitě je výhodnější využít ovladač, který ji aktivuje, než zbytečně zatěžovat procesor přes sw akceleraci (llvmpipe). OpenGL se přece nevyužívá jen na efekty, či třeba Google Earth, lze ji využít třeba i při přehrávání filmů. Opravte mě, jestli se mýlím.

Já to pochopil tak, že se ptá vyloženě na prostředí. Máš samozřejmě pravdu.
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy